javax.resource.spi.work

## Class WorkContextErrorCodes

- java.lang.Object
- - javax.resource.spi.work.WorkContextErrorCodes

-     public class WorkContextErrorCodes
      extends java.lang.Object

  This class models the possible error conditions that might occur during associating an `WorkContext` with a `Work` instance.

  This class is not designed as an Enumerated type (Enum), as the error codes listed below could be expanded to accommodate custom error conditions for custom `WorkContext` types.

  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONTEXT_SETUP_FAILED` Indicates a failure in recreating the `WorkContext` instance.
    `static java.lang.String` | `CONTEXT_SETUP_UNSUPPORTED` Indicates that the container cannot support recreating the `WorkContext` instance.
    `static java.lang.String` | `DUPLICATE_CONTEXTS` Indicates that there are more than one instance of a `WorkContext` type passed in by the `Work` instance.
    `static java.lang.String` | `UNSUPPORTED_CONTEXT_TYPE` Indicates that a `WorkContext` type, that was not specified as optional, passed in by the `Work` instance is not supported by the container.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkContextErrorCodes()` Constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNSUPPORTED_CONTEXT_TYPE

          public static final java.lang.String UNSUPPORTED_CONTEXT_TYPE

      Indicates that a `WorkContext` type, that was not specified as optional, passed in by the `Work` instance is not supported by the container.
      Since:
        1.6
      See Also:
        Constant Field Values

    - #### DUPLICATE_CONTEXTS

          public static final java.lang.String DUPLICATE_CONTEXTS

      Indicates that there are more than one instance of a `WorkContext` type passed in by the `Work` instance.

      Since:
        1.6
      See Also:
        Constant Field Values

    - #### CONTEXT_SETUP_FAILED

          public static final java.lang.String CONTEXT_SETUP_FAILED

      Indicates a failure in recreating the `WorkContext` instance. For `TransactionWorkContext` instances, the `WorkManager` must use this failure code when it should have used `WorkException.TX_RECREATE_FAILED` as the error code.
      Since:
        1.6
      See Also:
        Constant Field Values

    - #### CONTEXT_SETUP_UNSUPPORTED

          public static final java.lang.String CONTEXT_SETUP_UNSUPPORTED

      Indicates that the container cannot support recreating the `WorkContext` instance. For `TransactionWorkContext` instances, the `WorkManager` must use this failure code when it should have used `WorkException.TX_CONCURRENT_WORK_DISALLOWED` as the error code.
      Since:
        1.6
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkContextErrorCodes

          public WorkContextErrorCodes()

      Constructor

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)